#!/bin/bash

cd SOURCE/

if [ "$1" == "-F1440" ]
    then nasm BOOT.ASM -d F1440 -f bin -o ../BOOT.BIN
    else nasm BOOT.ASM -f bin -o ../BOOT.BIN
fi
nasm SYSTEM.ASM -f bin -o ../SYSTEM.BIN

cd ..
rm -f EttinOS.img
if [ "$1" == "-F1440" ]
    then mkfs.fat -C EttinOS.img 1440
    else mkfs.fat -C EttinOS.img 360
fi
dd if=BOOT.BIN of=EttinOS.img conv=notrunc bs=512 count=1
mcopy -i EttinOS.img SYSTEM.BIN ::
